<template>
    <section class="contenido">
        <base-card v-if="verItem">
            <h3>{{nombre}}</h3>
            <h4> Estatus: {{estatus}}</h4>
            <p>Fecha: {{dia}}</p>
            <p>Hora: {{hora}}</p>
            <div class="actions">
                <base-button @click="elegirEdicion">Editar</base-button>
                <base-button>Cancelar Cita</base-button>
            </div>
        </base-card>
        <base-card v-if="edicion">
            <editar-cita>
            </editar-cita>
            <base-button @click="cancelarEdicion">Cancelar edicion</base-button>
        </base-card>
        <base-card>
            <h2>Contacta al veterinario</h2>
        </base-card>
    </section>
</template>
<script>
import EditarCita from '../../components/citas/EditarCita.vue';
export default {
    components:{
        EditarCita
    },
    props:['id'],
    data(){
        return{
            citaSelecta:null,
            edicion:false,
            verItem:true
        };
    },
    computed:{
        adopcionLink(){
            return this.$route.path + '/adoptar';
        },
        nombre(){
            return this.citaSelecta.nombre;
        },
        estatus(){
            return this.citaSelecta.estatus;
        },
        dia(){
            return this.citaSelecta.dia;
        },
        hora(){
            return this.citaSelecta.hora;
        }
    },
    methods:{
        elegirEdicion(){
            this.edicion=true;
            this.verItem=false;
        },
        cancelarEdicion(){
            this.edicion=false;
            this.verItem=true;
        }
    },
    created(){
        this.citaSelecta=this.$store.getters['citas/citas'].find(cita => cita.id === this.id);
    }
}
</script>
<style scoped>
.contenido{
    margin-top: 8rem;
}
</style>